function y = CVfun(x, CC, SS, CS)
% -------------------------------------------------------------------------
% CVfun.m
%
% Author         David Humphreys and Peter Harris, NPL
% Created        07-06-2012
% Last amended   07-06-2012
% Released       08-02-2013
% Last amended   26-03-2014   Added input/output parameters.
% Released       30-06-2014
% -------------------------------------------------------------------------
% Evaluator for "eigs" function.
%
% See: Guidance for the use of compact covariance uncertainty software,
%      David Humphreys and Peter Harris, NPL REPORT TQE 10, 2014
% -------------------------------------------------------------------------
% Input:
%    x          2n x 1        Arbitrary vector.
%    CC,
%    SS,
%    CS          n x n        Submatrices defining full covariance matrix:
%                                V = [CC, CS'; CS, SS]
%
% Output:
%    y          2n x 1        Matrix-vector product:
%                                y = V*x
% -------------------------------------------------------------------------

  y = [CC, CS'; CS, SS]*x;
%
% -------------------------------------------------------------------------
% End.
%
% Copyright NPL. No warranty or guarantee applies to this software, and 
% therefore any users should satisfy themselves that it meets their 
% requirements.
% -------------------------------------------------------------------------